<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xww-34 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" background="images/xww_66.jpg">
  <tr>
    <td height="214" background="images/xww_01.jpg">
	<table width="100%" height="214"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: right; padding-left: 40px;">
<!-- LOGO -->
	<table width="350" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
          </tr>
          <tr>
            <td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
          </tr>
          <tr>
            <td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table>
<!-- END LOGO -->
		</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="53" background="images/xww_03.jpg"></td>
  </tr>
  <tr>
    <td height="47" background="images/xww_05.jpg" valign="bottom"><table width="100%"  height="47"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="210" valign="bottom" style="background-image: url(images/xww_04.jpg);
	background-repeat: no-repeat;
	background-position: center bottom;"><img src="images/spacer.gif" width="210" height="7" /></td>
        <td width="100%" align="center" style="background-image: url(images/xww_05.jpg); background-repeat: repeat-x;
	background-position: bottom; padding-right: 30px; padding-left: 30px; padding-bottom: 3px;">
	<!-- MENU -->
          <table border="0" cellspacing="0" cellpadding="0">
          <tr>
		  <xsl:call-template name="TOP-MENU"/>
          </tr>
        </table>
<!-- END MENU -->
		</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="100%" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="58"><img src="images/xww_20.jpg" width="58" height="48" alt="" /></td>
        <td width="152" valign="top"><table width="152" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><img src="images/xww_21.jpg" width="152" height="48" alt="" /></td>
          </tr>
          <tr>
            <td align="center" valign="top" background="images/xww_31.jpg">
			<br/>
	<!-- SUBMENU -->
			<table width="133" border="0" cellspacing="0" cellpadding="0">
<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
            </table>
<!-- END SUBMENU -->
			</td>
          </tr>
          <tr>
            <td><img src="images/xww_63.jpg" width="152" height="31" alt="" /></td>
          </tr>
        </table></td>
        <td width="22" valign="top"><img src="images/xww_22.jpg" width="22" height="21" alt="" /></td>
        <td width="100%" height="100%" valign="top" style="padding-right: 40px;padding-top: 20px; ">
<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td><img src="images/xww_24.jpg" width="39" height="18" alt="" /></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%" >
	   		  <tr><td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
	   		</tr></table>
			<!-- END CONTENT -->
		</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="128"><img src="images/xww_65.jpg" width="128" height="56" alt="" /></td>
        <td width="100%" align="center" style="padding-right: 30px; padding-left: 30px;">
<!-- BOOTTOM MENU -->
		<table border="0" cellspacing="0" cellpadding="0">
          <tr>
		   <xsl:call-template name="BOTTOM-MENU"/>
          </tr>
        </table>
<!-- END BOOTTOM MENU -->
		</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="44" align="left" background="images/xww_72.jpg"><img src="images/xww_71.jpg" width="391" height="44" alt="" /></td>
  </tr>
</table>

	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
				  <tr>
					<td width="21" align="left"><img src="images/xww_41.jpg" width="21" height="7" alt="" /></td>
					<td width="98" background="images/xww_44.jpg"></td>
					<td width="14" align="right"><img src="images/xww_38.jpg" width="14" height="7" alt="" /></td>
				  </tr>
              <tr>
					<td colspan="3" background="images/xww_44.jpg">
						<table width="133" border="0" cellspacing="0" cellpadding="0">
						  <tr>
							<td width="27"><img src="images/xww_48.jpg" width="27" height="5" alt="" /></td>
							<td width="106" align="left" class="asubmenu">
							<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
							</td>
						  </tr>
						</table>
					</td>
                </tr>
              <tr>
                <td align="left" width="20" background="images/xww_44.jpg"><img src="images/xww_52.jpg" width="20" height="6" alt="" /></td>
                <td background="images/xww_44.jpg"></td>
                <td align="right" width="14"><img src="images/xww_55.jpg" width="14" height="6" alt="" /></td>
              </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				  <tr>
					<td width="21" align="left"><img src="images/spacer.gif" width="10" height="7" /></td>
					<td width="98"></td>
					<td width="14" align="right"></td>
				  </tr>
              <tr>
					<td colspan="3">
						<table width="133" border="0" cellspacing="0" cellpadding="0">
						  <tr>
							<td width="27"><img src="images/xww_30.jpg" width="27" height="5" alt="" /></td>
							<td width="106" align="left">
							  <a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
							</td>
						  </tr>
						</table>
					</td>
                </tr>
              <tr>
                <td align="left"><img src="images/spacer.gif" width="10" height="6" /></td>
                <td></td>
                <td align="right"></td>
              </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
              <tr>
                <td colspan="3"><img src="images/xww_34.jpg" width="133" height="7" alt="" /></td>
               </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
<td align="center"><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
<td align="center"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
	     <td><img src="images/xww_68.jpg" width="26" height="19" alt="" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
